开发者社区 > 大数据与机器学习 > 人工智能平台PAI > 正文

想请教一下机器学习PAI,在编译gpu版本的deeprec碰到了一些问题,可以帮忙看看嘛?

https://github.com/DeepRec-AI/DeepRec/issues/966
想请教一下机器学习PAI,在编译gpu版本的deeprec碰到了一些问题,有群里的大佬可以帮忙看看嘛?

展开
收起
cuicuicuic 2024-01-21 20:19:31 36 0
2 条回答
写回答
取消 提交回答
  • 你可以试试降级bazel的版本到 0.26.1 试试, GPU版本暂时不支持这个版本的bazel来编译 ,此回答整理自钉群“DeepRec用户群”

    2024-01-22 11:22:31
    赞同 展开评论 打赏
  • 面对过去,不要迷离;面对未来,不必彷徨;活在今天,你只要把自己完全展示给别人看。

    在编译GPU版本的DeepRec时遇到问题,可以尝试以下几个步骤来解决:

    1. 检查源代码:确保您使用的DeepRec源代码是最新的。您可以从GitHub上拉取最新版本的源代码,然后重新进行编译。
    2. 环境依赖:确认您的机器学习PAI环境已经正确安装了所有必要的软件包和依赖库。如果您使用的是开箱即用的环境,建议尝试重新创建新环境并进行安装。
    3. 配置环境变量:如果需要编译出支持不同GPU卡的版本,可以配置相应的环境变量。例如,设置TF_CUDA_COMPUTE_CAPABILITIES以支持特定的GPU型号。
    4. 使用正确的Bazel版本:根据社区的反馈,当前GPU版本的DeepRec还不支持用Bazel 5.3编译,建议使用Bazel 0.26.1进行编译。
    5. 解决编译错误:如果在编译过程中遇到了特定的错误,如mkl_threadpool未定义的问题,可能需要在configure时添加特定的option来解决。建议您查阅相关的文档或在社区中寻求帮助。

    总的来说,如果上述步骤无法解决问题,您可以在DeepRec的GitHub仓库中提交一个新的issue,详细描述您遇到的问题以及您已经尝试过的解决方法。这样,社区的成员或者开发者可能会帮助您解决问题。同时,您也可以加入相关的用户群组,与其他开发者交流,获取更多的帮助和建议。

    2024-01-21 20:32:21
    赞同 展开评论 打赏

相关电子书

更多
DeepStream: GPU加速海量视频数据智能处理 立即下载
阿里巴巴高性能GPU架构与应用 立即下载
GPU在超大规模深度学习中的发展和应用 立即下载